<!doctype html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Assessment</title>
</head>
<body>
	<script>
// Create a file in your static project
// Paste this document
// Solve the solution
// Email your solution to oreillyinternprogram@gmail.com
// You have 20 minutes to solve this problem

// Given two strings, interleave the characters of the strings to 
// create a new string. Begin with an empty string, then alternately 
// append a character from string a and from string b. If one of the 
// strings is exhausted before the other, append the remaining letters 
// from the other string all at once.

// For example, if a = HackerRank and b = Monday, the result is HMaocnkdearyRank. 


// Function Description 
// Complete the function mergeStrings below. The function must return the merged string.

// mergeTwoStrings has the following parameter(s):
//     a:  string
//     b:  string

// Sample Input:
// abc
// def

// Sample Output
// adbecf

function mergeStrings(a, b) {
    var array1 = a.split('');
    var array2 = b.split('');
    
    var len = array1.length + array2.length;
    
    var returnString = [];
    
    for (var i = 0; i < len; i++) {
    	if (i < array1.length) {
    		returnString.push(array1[i]);
    	}
    	if (i < array2.length) {
    		returnString.push(array2[i]);
    	}
    }
    
    var returnString = returnString.join('');
    return returnString;
}
    
var a = 'HackerRank';
var b = 'Orly';
console.log(mergeStrings(a,b));

</script>

</body>
</html>